import * as $dara from '@darabonba/typescript';
export declare class ModifyVSwitchAttributeRequest extends $dara.Model {
    description?: string;
    ownerAccount?: string;
    ownerId?: number;
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    vSwitchId?: string;
    vSwitchName?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
